package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkAxStoreUpdateRequest struct {
	/*
	   入参     */
	AxStoreCreateRequest *domain.AlibabaWdkAxStoreUpdateAxStoreCreateRequest `json:"ax_store_create_request" required:"true" `
}

func (s *AlibabaWdkAxStoreUpdateRequest) SetAxStoreCreateRequest(v domain.AlibabaWdkAxStoreUpdateAxStoreCreateRequest) *AlibabaWdkAxStoreUpdateRequest {
	s.AxStoreCreateRequest = &v
	return s
}

func (req *AlibabaWdkAxStoreUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.AxStoreCreateRequest != nil {
		paramMap["ax_store_create_request"] = util.ConvertStruct(*req.AxStoreCreateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkAxStoreUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
